Debian Bug report logs - #328144
RM: kcdlabel -- RoM; dead upstream, superseded

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adeodato Simó <asp16@alu.ua.es>

Date: Tue, 13 Sep 2005 21:18:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Gran <sgran@debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#328144; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
New Bug report received and forwarded. Copy sent to Stephen Gran <sgran@debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: submit@bugs.debian.org
Subject: RM: kcdlabel -- RoM; dead upstream, superseded
Date: Tue, 13 Sep 2005 23:04:22 +0200
Package: ftp.debian.org

----- Forwarded message from Stephen Gran <sgran@debian.org> -----

From: Stephen Gran <sgran@debian.org>
To: Adeodato Simó <asp16@alu.ua.es>, 327947@bugs.debian.org
Date: Tue, 13 Sep 2005 08:53:59 +0100
Subject: Re: Bug#327947: kcdlabel: uninstallable; needs rebuild for the Qt/KDE transition

This one time, at band camp, Adeodato Simó said:
> Hello,

>   This is a grave bug filed against your package because it depends on
>   libqt3c102-mt, which no longer exists, thus rendering yor package
>   uninstallable in unstable. As part of the C++ ABI transition, this
>   library has moved to the libqt3-mt package.

>   Simply recompiling and uploading your package should be enough to fix
>   this; as per this mail [1], you need not bump your Qt, kdelibs or aRts
>   build-dependencies. Beware, though, that that may not be the case for
>   all the involved librares. Also, make sure that you build the package
>   in an up to date and clean sid environment, so that final dependencies
>   are correct. Please do this as soon as possible in order to accelerate
>   the Qt/KDE transition to testing.

>     [1] http://lists.debian.org/debian-devel-announce/2005/09/msg00000.html

>   Perhaps you find that your package fails to compile with gcc4. If
>   that's the case, there's probably a bug about it in the BTS, and it
>   may include a patch. If not (or if you have doubts about the
>   correctness of the patch), you may be able to find a fix in upstream's
>   CVS, or in the Ubuntu distribution. If your package fails only in arm,
>   m68k, and hppa, see instructions in the above mail.

>   Finally, if there's a strong reason for which your package should not
>   be NMUed, please note so in this bug report. Prospective NMUers will
>   read your reasoning, and will decide if it's strong enough to delay
>   their upload.

>   Thanks for your cooperation, and happy hacking!


>   P.S.: There may be an already reported bug against this package for
>   this very same reason. I've checked for that, and will be merging the
>   bugs soon. The reason for still filing this bug was to have the
>   opportunity of including the small bits of information above. I
>   apologize for the inconvenience.

I have been meaning to file a bug for the removal of this package, but
haven't goten around to it.  It is dead upstream, and it's functionality
is duplicated by other programs in the archive.  On top of that, the
general code quality is something less than I would like (which is why I
didn't want it releasing with stable).  Thanks for the prodding - I will
request a removal now.

Please do not NMU this package, obviously, but I wanted to be clear :)
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------



----- End forwarded message -----

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Mª Dolores Pradera - Te solté la prenda
 
To be nobody but yourself in a world which is doing its best night and
day to make you like everybody else means to fight the hardest battle
any human being can fight and never stop fighting.
                -- e.e. cummings




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adeodato Simó <asp16@alu.ua.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 328144-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 328144-close@bugs.debian.org
Cc: kcdlabel@packages.debian.org, kcdlabel@packages.qa.debian.org
Subject: Bug#328144: fixed
Date: Thu, 15 Sep 2005 17:20:34 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  kcdlabel | 2.13-KDE3-3 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328144@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 04:46:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:38:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.